#include <assert.h>
#ifndef debug_h
#define debug_h

#ifdef DEBUG
#define ASSERT(x)      assert((x))

#define DBUGF(X)       fprintf(stderr, (X))

#define DEBUG_ONLY(X);  X
#else
#define ASSERT(X)

#define DBUGF(X)

#define DEBUG_ONLY(X);
#endif

#endif /* debug_h */
