/*
  Calisto - An internet Talker
  Copyright (C) 1998-2001 Peter Howkins, Matthew Howkins and Simon Howkins

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,     
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License   
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Email: calisto@calisto.cx

  $Id: socks.h,v 1.3 2000/12/29 23:36:52 peter Exp $

 */

#include <stddef.h>

/* Returns number of characters read, or -1 if none */

int get_some_from_socket(int sfd, char *buffer, size_t bufsize);

int send_to_socket(int sfd, const char *format, ...);

char *ip4_to_string(char *buffer, size_t bufsize,
                    const struct in_addr *ip_addr);
